## libpam-usb 0.4.0

=== Makefile ===
# Set to 'yes' to include debugging informations, e.g. DEBUG=yes make -e
DEBUG		:= no

# compiler/linker options
CC		:= gcc
CFLAGS		:= $(CFLAGS) -Wall -fPIC `pkg-config --cflags libxml-2.0` \
	`pkg-config --cflags hal-storage`
LIBS		:= `pkg-config --libs libxml-2.0` \
	`pkg-config --libs hal-storage`

# common source files
SRCS		:= src/conf.c \
		   src/log.c \
		   src/xpath.c \
		   src/hal.c \
		   src/pad.c \
		   src/volume.c \
		   src/local.c \
		   src/device.c
OBJS		:= $(SRCS:.c=.o)

# pam_usb
PAM_USB_SRCS	:= src/pam.c
PAM_USB_OBJS	:= $(PAM_USB_SRCS:.c=.o)
PAM_USB			:= pam_usb.so
PAM_USB_LDFLAGS	:= -shared
PAM_USB_DEST	:= $(DESTDIR)/lib/security

# pamusb-check
PAMUSB_CHECK_SRCS	:= src/pamusb-check.c
PAMUSB_CHECK_OBJS	:= $(PAMUSB_CHECK_SRCS:.c=.o)
PAMUSB_CHECK		:= pamusb-check

# Tools
PAMUSB_CONF		:= pamusb-conf
PAMUSB_AGENT	:= pamusb-agent
TOOLS_DEST		:= $(DESTDIR)/usr/bin
TOOLS_SRC		:= tools

# Conf
CONFS			:= doc/pamusb.conf
CONFS_DEST		:= $(DESTDIR)/etc

# Doc
DOCS		:= doc/QUICKSTART doc/CONFIGURATION doc/UPGRADING doc/FAQ
DOCS_DEST	:= $(DESTDIR)/usr/share/doc/pamusb

# Man
MANS		:= doc/pamusb-conf.1.gz doc/pamusb-agent.1.gz doc/pamusb-check.1.gz
MANS_DEST	:= $(DESTDIR)/usr/share/man/man1

# Binaries
RM		:= rm
INSTALL		:= install
MKDIR		:= mkdir

ifeq (yes, ${DEBUG})
	CFLAGS := ${CFLAGS} -ggdb
endif

all		: $(PAM_USB) $(PAMUSB_CHECK)

$(PAM_USB)	: $(OBJS) $(PAM_USB_OBJS)
		$(CC) -o $(PAM_USB) $(PAM_USB_LDFLAGS) $(LDFLAGS) $(OBJS) $(PAM_USB_OBJS) $(LIBS)

$(PAMUSB_CHECK)	: $(OBJS) $(PAMUSB_CHECK_OBJS)
		$(CC) -o $(PAMUSB_CHECK) $(LDFLAGS) $(OBJS) $(PAMUSB_CHECK_OBJS) $(LIBS)

%.o		: %.c
		${CC} -c ${CFLAGS} $< -o $@

clean		:
		$(RM) -f $(PAM_USB) $(PAMUSB_CHECK) $(OBJS) $(PAMUSB_CHECK_OBJS) $(PAM_USB_OBJS)

install		: all
		$(MKDIR) -p $(CONFS_DEST) $(DOCS_DEST) $(MANS_DEST) $(TOOLS_DEST) $(PAM_USB_DEST)
		$(INSTALL) -m755 $(PAM_USB) $(PAM_USB_DEST)
		$(INSTALL) -m755 $(PAMUSB_CHECK) $(TOOLS_SRC)/$(PAMUSB_CONF) $(TOOLS_SRC)/$(PAMUSB_AGENT) $(TOOLS_DEST)
		$(INSTALL) -b -m644 $(CONFS) $(CONFS_DEST)
		$(INSTALL) -m644 $(DOCS) $(DOCS_DEST)
		$(INSTALL) -m644 $(MANS) $(MANS_DEST)

deinstall	:
		$(RM) -f $(PAM_USB_DEST)/$(PAM_USB)
		$(RM) -f $(TOOLS_DEST)/$(PAMUSB_CHECK) $(TOOLS_DEST)/$(PAMUSB_CONF) $(TOOLS_DEST)/$(PAMUSB_AGENT)
		$(RM) -rf $(DOCS_DEST)
		$(RM) -f $(MANS_DEST)/pusb_*

## libpam-usb 0.5.0

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 # compiler/linker options
 CC		:= gcc
 CFLAGS		:= $(CFLAGS) -Wall -fPIC `pkg-config --cflags libxml-2.0` \
-	`pkg-config --cflags hal-storage`
+	`pkg-config --cflags dbus-1`
 LIBS		:= `pkg-config --libs libxml-2.0` \
-	`pkg-config --libs hal-storage`
+	`pkg-config --libs dbus-1`
 
 # common source files
 SRCS		:= src/conf.c \
+		   src/mem.c \
 		   src/log.c \
 		   src/xpath.c \
 		   src/hal.c \

=== debian/changelog ===
libpam-usb (0.5.0-4) unstable; urgency=low

  * Attempt to fix FTBFS on hurd.
  * Make this depending on udisks on linux-any only.
  * Increase entropy of generated pad files (Closes: #658700);
    thanks to Toby Speight for the patch.
  * Add config file for pam-auth-update (Closes: #658967);
    thanks to Petter Reinholdtsen for the report.
    - Add libpam-runtime (>= 1.0.1-6~) on Pre-Depends due to the use of the
      pam-auth-update tool in the maintainer scripts.
  * Add NEWS file to inform users about the need for rewriting their config
    files after the upgrade to the latest upstream release 0.5.0; thanks
    to Toby Speight for having pointed this out. (Closes: #658013)

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Feb 2012 16:23:16 +0100

libpam-usb (0.5.0-3) unstable; urgency=low

  * Move tools back to /usr/bin, they don't actually need superuser
    privileges to work; pamusb-conf needs to run as root whe used to
    update the system-wide configuration file.
  * Small improvements to the buildsystem.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Jan 2012 19:12:27 +0100

libpam-usb (0.5.0-2) unstable; urgency=low

  * Attempt to fix FTBFS on non-Linux architectures.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Jan 2012 12:20:12 +0100

libpam-usb (0.5.0-1) unstable; urgency=low

  * Re-introduce this in Debian (Closes: #657742)
  * New upstream release:
    - Migrated the code base to UDisks. pam_usb doesn't depend
      on HAL anymore.
    - Added deny_remote option (defaults to true). If false,
      local login check will be disabled.
    - Fixed a bug in the device recognition (--add-device)
  * Build with MultiArch.
  * Add VCS tags
  * Bump Standards.
  * Switch to DH 7.
  * Set package format to 3.0 (quilt).
  * Update debian/copyright.
  * Fix small spelling mistakes.
  * Install tools into /usr/sbin
  * Rename pamusb-tools to pamusb-common and install all tools into
    pamusb-common.

 -- Alessio Treglia <alessio@debian.org>  Sat, 28 Jan 2012 19:13:17 +0100

libpam-usb (0.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch; Closes: #562454
    - debian/control
      + bump Depends on python >= 2.5 and drop python-celementtree

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 01:10:31 +0100

libpam-usb (0.4.2-1) unstable; urgency=low

  * New upstream version 0.4.2:
      - Fixed the ElementTree import statement of pamusb-agent to work with
        Python 2.5.
      - Improved the device detection to work with any removable storage
        device.
      - Added a workaround for a DBUS bug that prevented pam_usb to work
        with su.
      - Disable log outputting if the application doesn't have any tty
        attached (fixes gksudo and other software).
  * Missing dependency: pmount (Closes: #442449)
  * debian/watch fails to report upstream's version (Closes: #450005)
  * Package description could be improved (Closes: #459315)
  * Updated Standards-Version, no changes needed.
  * Changing maintainer email.

 -- Jose Parrella <bureado@debian.org>  Sat, 21 Jun 2008 10:15:51 -0430

libpam-usb (0.4.1-1) unstable; urgency=low

  * New upstream version 0.4.1:
      - Fixed a security issue related to OpenSSH authentication
      - Fixed the quiet option (now it is really quiet)
      - Support for devices without vendor/model information
  * Upgraded to Standards-Version: 3.7.2.2
  * Adding dbus, hal and libpam-usb as dependencies for pamusb-tools.

 -- Jose Parrella <joseparrella@cantv.net>  Wed, 15 Aug 2007 10:43:43 -0400

libpam-usb (0.4.0-2) unstable; urgency=low

  * Adding python-dbus as a dependency for pamusb-tools
   (Closes: #423540)

 -- Jose Parrella <joseparrella@cantv.net>  Sun, 17 Jun 2007 22:03:46 +0100

libpam-usb (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #420199)

 -- Jose Parrella <joseparrella@cantv.net>  Sat, 21 Apr 2007 10:31:27 -0400

=== debian/control ===
Source: libpam-usb
Section: admin
Priority: extra
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 libdbus-1-dev,
 libpam0g-dev,
 libxml2-dev,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://www.pamusb.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/libpam-usb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libpam-usb.git

Package: libpam-usb
Architecture: any
Multi-Arch: same
Pre-Depends:
 libpam-runtime (>= 1.0.1-6~),
 ${misc:Pre-Depends}
Depends:
 pamusb-common,
 pmount,
 udisks [linux-any],
 ${misc:Depends},
 ${shlibs:Depends}
Description: PAM module for authentication with removable USB block devices
 pam_usb provides hardware authentication for Linux using ordinary USB
 Flash Drives. It works with any application supporting PAM, such as su,
 any login manager (GDM, KDM), etc.

Package: pamusb-common
Architecture: any
Multi-Arch: foreign
Breaks:
 libpam-usb (<< 0.5.0),
 pamusb-tools (<< 0.5.0)
Replaces:
 libpam-usb (<< 0.5.0),
 pamusb-tools (<< 0.5.0)
Depends:
 dbus,
 python (>= 2.5),
 python-dbus,
 python-gobject,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libpam-usb (>> 0.5.0)
Description: helper tools for the pam-usb module
 This package contains several tools related to the libpam-usb module
 including pamusb-agent, pamusb-conf and pamusb-check, which help users
 to manage the XML-based configuration file and to test their settings.

Package: pamusb-tools
Section: oldlibs
Architecture: all
Depends:
 pamusb-common,
 ${misc:Depends}
Description: dummy transitional package for pamusb-common
 This dummy package is provided for a smooth transition from
 pamsub-tools to pamusb-common.
 .
 It may be safely removed after installation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export LIBDIR=lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build
	for manpage in `ls doc/*.1.gz`; do \
		dmanpage=debian/`basename $$manpage | sed -e 's/\.gz//'`;\
		gunzip -c $$manpage > $$dmanpage;\
	done;
	sed -i 's/^\."/\.\\"/' debian/*.1
	sed -i 's/\\fBpamusb-check/\\fBpamusb-check \\fP- simulates pam_usb authentication/' debian/pamusb-check.1

=== debian/watch ===
version=3
http://sf.net/pamusb/pam_usb-(.*)\.tar\.gz
